CREATE TABLE atc_spec_refs_ (
    SPEC_ID                        NUMBER(18, 0) ,
    REFERENCE_NAME                 VARCHAR2(800) ,
    REF_ENTITY_PUID                VARCHAR2(120) ,
    REF_ENTITY_NAME                VARCHAR2(800) ,
    REF_ENTITY_VERSION             VARCHAR2(80)  ,
    REF_ENTITY_HREF                VARCHAR2(4000),
    AT_TYPE                        VARCHAR2(800) ,
    AT_BASE_TYPE                   VARCHAR2(800) ,
    AT_SCHEMA_LOCATION             VARCHAR2(4000),
    AT_REFERRED_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_BASE_TYPE          VARCHAR2(800) ,
    TAR_PROD_AT_SCHEMA_LOCATION    VARCHAR2(4000),
    REF_ENTITY_TYPE                VARCHAR2(400) ,
    VERSION_STATE                  NUMBER(2, 0)  ,
    ENTITY_ID                      NUMBER(18, 0) ,
    ENTITY_NAME                    VARCHAR2(400) ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    SPEC_ID                        NUMBER(18, 0) ,
    REFERENCE_NAME                 VARCHAR2(800) ,
    REF_ENTITY_PUID                VARCHAR2(120) ,
    REF_ENTITY_NAME                VARCHAR2(800) ,
    REF_ENTITY_VERSION             VARCHAR2(80)  ,
    REF_ENTITY_HREF                VARCHAR2(4000),
    AT_TYPE                        VARCHAR2(800) ,
    AT_BASE_TYPE                   VARCHAR2(800) ,
    AT_SCHEMA_LOCATION             VARCHAR2(4000),
    AT_REFERRED_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_BASE_TYPE          VARCHAR2(800) ,
    TAR_PROD_AT_SCHEMA_LOCATION    VARCHAR2(4000),
    REF_ENTITY_TYPE                VARCHAR2(400) ,
    ENTITY_ID                      NUMBER(18, 0) ,
    ENTITY_NAME                    VARCHAR2(400) ,
    CREATED_BY                     VARCHAR2(256) ,
    CREATION_DATE                  TIMESTAMP(6)  ,
    LAST_UPDATED_BY                VARCHAR2(256) ,
    LAST_UPDATE_DATE               TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_             VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_          VARCHAR2(4000),
    AUDIT_IMPERSONATOR_            VARCHAR2(256) ,
    VERSION_STATE                  NUMBER(2, 0)  ,
    CONSTRAINT pk_atc_spec_refs_ PRIMARY KEY (SPEC_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE, SPEC_ID, LAST_UPDATED_BY, LAST_UPDATE_DATE)
);
